Subject: bug#32258: 27.0.50; Crash on minimizing/maximizing Emacs frame from taskbar [RHEL 6.8 GTK2]

From: Eli Zaretskii <[email-masked]>
Date: Tue, 24 Jul 2018 17:39:41 +0300

> From: Kaushal Modi <[email-masked]>
> Date: Tue, 24 Jul 2018 09:36:10 -0400
> 
> I need some help getting started with ignoring initial errors in gdb. Things seem to have changed from what I
> have in my notes.
> 
> From my notes, after:
> 
>     break Fsignal
>     r -Q
> 
> Below worked:
> 
> Breakpoint 3, Fsignal (error_symbol=41328, data=16185859) at eval.c:1471
> 1471        = (NILP (error_symbol) ? Fcar (data) : error_symbol);
> (gdb) p error_symbol
> $1 = 41328
> (gdb) xsymbol
> $2 = (struct Lisp_Symbol *) 0xc85aa0 <lispsym+41328>
> "scan-error"
> (gdb) condition 3 error_symbol!=41328
> (gdb) c
> 
> But now, I am getting this breakpoint:

You don't need to set breakpoints when you know Emacs will crash (or
abort due to an assertion violation, which has the same effect).  Just
run Emacs, and when the assertion violation happens, GDB will kick in
automatically, and you will be able to display the C backtrace, look
at related variables, etc.